DRM_DP_DPCD_READ_LIN(9)

NAME
drm_dp_dpcd_read_link_status - read DPCD link status (bytes 0x202-0x207)

SYNOPSIS

int drm_dp_dpcd_read_link_status(struct drm_dp_aux * aux, u8 status[DP_LINK_STATUS_SIZE]);

ARGUMENTS

aux
    DisplayPort AUX channel

status[DP_LINK_STATUS_SIZE]
    buffer to store the link status in (must be at least 6 bytes)

DESCRIPTION

Returns the number of bytes transferred on success or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT